using System;

namespace CreditProcessLib
{
	/// <summary>
	/// Engine to process credit card charge requests.
	/// </summary>
	public class CreditChargeEngine : ICreditChargeEngine
	{
		#region ICreditChargeEngine Members

		/// <summary>
		/// Charges the credit card for the given amount.
		/// </summary>
		/// <param name="cardNumber">card number for the charged.</param>
		/// <param name="amount">amount to be charged</param>
		/// <returns>true if charge was successful. false otherwise.</returns>
		public bool Charge(string cardNumber, double amount)
		{
			return true;
		}

		#endregion
	}
}
